# Makefile.in generated by automake 1.11.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/tools/telepathy-qt4.mk
TESTS = test-do-nothing$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2) \
	$(am__EXEEXT_3)
noinst_PROGRAMS = $(am__EXEEXT_4)

# Tests which can only be run if we have suitable versions of Python and
# dbus-python
@HAVE_TEST_PYTHON_TRUE@am__append_1 = \
@HAVE_TEST_PYTHON_TRUE@    test-account-basics

@HAVE_TEST_PYTHON_TRUE@am__append_2 = \
@HAVE_TEST_PYTHON_TRUE@    _gen/account-basics.cpp.moc.hpp


# Tests which can only be run if we have suitable versions of Python and
# dbus-python and telepathy-glib, and Qt was compiled to use the Glib main loop
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@am__append_3 = \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@    test-account-channel-dispatcher \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@    test-client

@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@am__append_4 = \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@    _gen/account-channel-dispatcher.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@    _gen/client.cpp.moc.hpp


# Tests which can only be run if we have telepathy-glib, and Qt was compiled
# to use the GLib main loop
@ENABLE_TP_GLIB_TESTS_TRUE@am__append_5 = \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-chan-basics \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-chan-group \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-cm-basics \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-conn-basics \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-conn-capabilities \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-conn-requests \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-conn-roster \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-conn-roster-groups \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-contacts \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-contacts-capabilities \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-handles \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-stateful-proxy \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-streamed-media-chan \
@ENABLE_TP_GLIB_TESTS_TRUE@    test-text-chan

@ENABLE_TP_GLIB_TESTS_TRUE@am__append_6 = \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/chan-basics.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/chan-group.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/cm-basics.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/conn-basics.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/conn-capabilities.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/conn-requests.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/conn-roster.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/conn-roster-groups.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/contacts.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/contacts-capabilities.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/handles.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/stateful-proxy.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/streamed-media-chan.cpp.moc.hpp \
@ENABLE_TP_GLIB_TESTS_TRUE@    _gen/text-chan.cpp.moc.hpp

@ENABLE_TP_GLIB_TESTS_TRUE@am__append_7 = $(TP_GLIB_CFLAGS)
subdir = tests/dbus
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/linker.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/m4/tp-visibility-hidden.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
@HAVE_TEST_PYTHON_TRUE@am__EXEEXT_1 = test-account-basics$(EXEEXT)
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@am__EXEEXT_2 = test-account-channel-dispatcher$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@	test-client$(EXEEXT)
@ENABLE_TP_GLIB_TESTS_TRUE@am__EXEEXT_3 = test-chan-basics$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-chan-group$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-cm-basics$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-conn-basics$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-conn-capabilities$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-conn-requests$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-conn-roster$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-conn-roster-groups$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-contacts$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-contacts-capabilities$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-handles$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-stateful-proxy$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-streamed-media-chan$(EXEEXT) \
@ENABLE_TP_GLIB_TESTS_TRUE@	test-text-chan$(EXEEXT)
am__EXEEXT_4 = test-do-nothing$(EXEEXT) $(am__EXEEXT_1) \
	$(am__EXEEXT_2) $(am__EXEEXT_3)
PROGRAMS = $(noinst_PROGRAMS)
am__test_account_basics_SOURCES_DIST = account-basics.cpp
@HAVE_TEST_PYTHON_TRUE@am_test_account_basics_OBJECTS =  \
@HAVE_TEST_PYTHON_TRUE@	account-basics.$(OBJEXT)
test_account_basics_OBJECTS = $(am_test_account_basics_OBJECTS)
test_account_basics_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
test_account_basics_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	${top_builddir}/tests/lib/libtp-qt4-tests.la \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__test_account_channel_dispatcher_SOURCES_DIST =  \
	account-channel-dispatcher.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@am_test_account_channel_dispatcher_OBJECTS = account-channel-dispatcher.$(OBJEXT)
test_account_channel_dispatcher_OBJECTS =  \
	$(am_test_account_channel_dispatcher_OBJECTS)
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) \
	${top_builddir}/tests/lib/libtp-qt4-tests.la \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@test_account_channel_dispatcher_DEPENDENCIES = $(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_chan_basics_SOURCES_DIST = chan-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_chan_basics_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	chan-basics.$(OBJEXT)
test_chan_basics_OBJECTS = $(am_test_chan_basics_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_chan_basics_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
am__test_chan_group_SOURCES_DIST = chan-group.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_chan_group_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	chan-group.$(OBJEXT)
test_chan_group_OBJECTS = $(am_test_chan_group_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_chan_group_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/csh/libtp-glib-csh-tests.la
am__test_client_SOURCES_DIST = client.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@am_test_client_OBJECTS = client.$(OBJEXT)
test_client_OBJECTS = $(am_test_client_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@test_client_DEPENDENCIES = $(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_cm_basics_SOURCES_DIST = cm-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_cm_basics_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	cm-basics.$(OBJEXT)
test_cm_basics_OBJECTS = $(am_test_cm_basics_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_cm_basics_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_conn_basics_SOURCES_DIST = conn-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_conn_basics_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	conn-basics.$(OBJEXT)
test_conn_basics_OBJECTS = $(am_test_conn_basics_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_basics_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_conn_capabilities_SOURCES_DIST = conn-capabilities.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_conn_capabilities_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	conn-capabilities.$(OBJEXT)
test_conn_capabilities_OBJECTS = $(am_test_conn_capabilities_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_capabilities_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
am__test_conn_requests_SOURCES_DIST = conn-requests.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_conn_requests_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	conn-requests.$(OBJEXT)
test_conn_requests_OBJECTS = $(am_test_conn_requests_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_requests_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
am__test_conn_roster_SOURCES_DIST = conn-roster.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_conn_roster_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	conn-roster.$(OBJEXT)
test_conn_roster_OBJECTS = $(am_test_conn_roster_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_roster_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/contactlist/libexample-cm-contactlist.la
am__test_conn_roster_groups_SOURCES_DIST = conn-roster-groups.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_conn_roster_groups_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	conn-roster-groups.$(OBJEXT)
test_conn_roster_groups_OBJECTS =  \
	$(am_test_conn_roster_groups_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_roster_groups_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/contactlist/libexample-cm-contactlist.la
am__test_contacts_SOURCES_DIST = contacts.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_contacts_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	contacts.$(OBJEXT)
test_contacts_OBJECTS = $(am_test_contacts_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_contacts_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_contacts_capabilities_SOURCES_DIST =  \
	contacts-capabilities.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_contacts_capabilities_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	contacts-capabilities.$(OBJEXT)
test_contacts_capabilities_OBJECTS =  \
	$(am_test_contacts_capabilities_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_contacts_capabilities_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am_test_do_nothing_OBJECTS = do-nothing.$(OBJEXT)
test_do_nothing_OBJECTS = $(am_test_do_nothing_OBJECTS)
test_do_nothing_LDADD = $(LDADD)
test_do_nothing_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	${top_builddir}/tests/lib/libtp-qt4-tests.la \
	${top_builddir}/TelepathyQt4/libtelepathy-qt4.la
am__test_handles_SOURCES_DIST = handles.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_handles_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	handles.$(OBJEXT)
test_handles_OBJECTS = $(am_test_handles_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_handles_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_stateful_proxy_SOURCES_DIST = stateful-proxy.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_stateful_proxy_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	stateful-proxy.$(OBJEXT)
test_stateful_proxy_OBJECTS = $(am_test_stateful_proxy_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_stateful_proxy_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_streamed_media_chan_SOURCES_DIST = streamed-media-chan.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_streamed_media_chan_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	streamed-media-chan.$(OBJEXT)
test_streamed_media_chan_OBJECTS =  \
	$(am_test_streamed_media_chan_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_streamed_media_chan_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la
am__test_text_chan_SOURCES_DIST = text-chan.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@am_test_text_chan_OBJECTS =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	text-chan.$(OBJEXT)
test_text_chan_OBJECTS = $(am_test_text_chan_OBJECTS)
@ENABLE_TP_GLIB_TESTS_TRUE@test_text_chan_DEPENDENCIES =  \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(am__DEPENDENCIES_2) \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/libtp-glib-tests.la \
@ENABLE_TP_GLIB_TESTS_TRUE@	$(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(test_account_basics_SOURCES) \
	$(test_account_channel_dispatcher_SOURCES) \
	$(test_chan_basics_SOURCES) $(test_chan_group_SOURCES) \
	$(test_client_SOURCES) $(test_cm_basics_SOURCES) \
	$(test_conn_basics_SOURCES) $(test_conn_capabilities_SOURCES) \
	$(test_conn_requests_SOURCES) $(test_conn_roster_SOURCES) \
	$(test_conn_roster_groups_SOURCES) $(test_contacts_SOURCES) \
	$(test_contacts_capabilities_SOURCES) \
	$(test_do_nothing_SOURCES) $(test_handles_SOURCES) \
	$(test_stateful_proxy_SOURCES) \
	$(test_streamed_media_chan_SOURCES) $(test_text_chan_SOURCES)
DIST_SOURCES = $(am__test_account_basics_SOURCES_DIST) \
	$(am__test_account_channel_dispatcher_SOURCES_DIST) \
	$(am__test_chan_basics_SOURCES_DIST) \
	$(am__test_chan_group_SOURCES_DIST) \
	$(am__test_client_SOURCES_DIST) \
	$(am__test_cm_basics_SOURCES_DIST) \
	$(am__test_conn_basics_SOURCES_DIST) \
	$(am__test_conn_capabilities_SOURCES_DIST) \
	$(am__test_conn_requests_SOURCES_DIST) \
	$(am__test_conn_roster_SOURCES_DIST) \
	$(am__test_conn_roster_groups_SOURCES_DIST) \
	$(am__test_contacts_SOURCES_DIST) \
	$(am__test_contacts_capabilities_SOURCES_DIST) \
	$(test_do_nothing_SOURCES) $(am__test_handles_SOURCES_DIST) \
	$(am__test_stateful_proxy_SOURCES_DIST) \
	$(am__test_streamed_media_chan_SOURCES_DIST) \
	$(am__test_text_chan_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
am__tty_colors = \
red=; grn=; lgn=; blu=; std=
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
DX_CONFIG = @DX_CONFIG@
DX_DOCDIR = @DX_DOCDIR@
DX_DOT = @DX_DOT@
DX_DOXYGEN = @DX_DOXYGEN@
DX_DVIPS = @DX_DVIPS@
DX_EGREP = @DX_EGREP@
DX_ENV = @DX_ENV@
DX_FLAG_chi = @DX_FLAG_chi@
DX_FLAG_chm = @DX_FLAG_chm@
DX_FLAG_doc = @DX_FLAG_doc@
DX_FLAG_dot = @DX_FLAG_dot@
DX_FLAG_html = @DX_FLAG_html@
DX_FLAG_man = @DX_FLAG_man@
DX_FLAG_pdf = @DX_FLAG_pdf@
DX_FLAG_ps = @DX_FLAG_ps@
DX_FLAG_rtf = @DX_FLAG_rtf@
DX_FLAG_xml = @DX_FLAG_xml@
DX_HHC = @DX_HHC@
DX_LATEX = @DX_LATEX@
DX_MAKEINDEX = @DX_MAKEINDEX@
DX_PDFLATEX = @DX_PDFLATEX@
DX_PERL = @DX_PERL@
DX_PROJECT = @DX_PROJECT@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_CODING_STYLE_CHECKS = @ENABLE_CODING_STYLE_CHECKS@
ERROR_CFLAGS = @ERROR_CFLAGS@
ERROR_CXXFLAGS = @ERROR_CXXFLAGS@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_REVISION = @LT_REVISION@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
MOC = @MOC@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
QTCORE_CFLAGS = @QTCORE_CFLAGS@
QTCORE_LIBS = @QTCORE_LIBS@
QTDBUS_CFLAGS = @QTDBUS_CFLAGS@
QTDBUS_LIBS = @QTDBUS_LIBS@
QTGUI_CFLAGS = @QTGUI_CFLAGS@
QTGUI_LIBS = @QTGUI_LIBS@
QTNETWORK_CFLAGS = @QTNETWORK_CFLAGS@
QTNETWORK_LIBS = @QTNETWORK_LIBS@
QTTEST_CFLAGS = @QTTEST_CFLAGS@
QTTEST_LIBS = @QTTEST_LIBS@
RANLIB = @RANLIB@
RCC = @RCC@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TEST_PYTHON = @TEST_PYTHON@
TP_FARSIGHT_CFLAGS = @TP_FARSIGHT_CFLAGS@
TP_FARSIGHT_LIBS = @TP_FARSIGHT_LIBS@
TP_GLIB_CFLAGS = @TP_GLIB_CFLAGS@
TP_GLIB_LIBS = @TP_GLIB_LIBS@
TP_QT4_CFLAGS = @TP_QT4_CFLAGS@
VERSION = @VERSION@
VERSION_SCRIPT_ARG = @VERSION_SCRIPT_ARG@
VISIBILITY_HIDDEN_FLAGS = @VISIBILITY_HIDDEN_FLAGS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
lt_ECHO = @lt_ECHO@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
TPQT4_V_MOC = $(TPQT4_V_MOC_$(V))
TPQT4_V_MOC_ = $(TPQT4_V_MOC_$(or $(AM_DEFAULT_VERBOSITY), 1))
TPQT4_V_MOC_0 = @echo '  MOC   ' $@;
BUILT_SOURCES = _gen/do-nothing.cpp.moc.hpp $(am__append_2) \
	$(am__append_4) $(am__append_6)
test_do_nothing_SOURCES = do-nothing.cpp
AM_CPPFLAGS = -I$(top_srcdir) -I$(top_builddir) $(QTCORE_CFLAGS) \
	$(QTDBUS_CFLAGS) $(QTTEST_CFLAGS) $(am__append_7)
@HAVE_TEST_PYTHON_TRUE@test_account_basics_SOURCES = account-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@test_account_channel_dispatcher_SOURCES = account-channel-dispatcher.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@test_account_channel_dispatcher_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@test_client_SOURCES = client.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@@HAVE_TEST_PYTHON_TRUE@test_client_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_chan_basics_SOURCES = chan-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_chan_basics_LDADD = $(LDADD) $(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_chan_group_SOURCES = chan-group.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_chan_group_LDADD = $(LDADD) $(top_builddir)/tests/lib/csh/libtp-glib-csh-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_cm_basics_SOURCES = cm-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_cm_basics_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_basics_SOURCES = conn-basics.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_basics_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_capabilities_SOURCES = conn-capabilities.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_capabilities_LDADD = $(LDADD) $(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_requests_SOURCES = conn-requests.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_requests_LDADD = $(LDADD) $(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_roster_SOURCES = conn-roster.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_roster_LDADD = $(LDADD) $(top_builddir)/tests/lib/contactlist/libexample-cm-contactlist.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_roster_groups_SOURCES = conn-roster-groups.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_conn_roster_groups_LDADD = $(LDADD) $(top_builddir)/tests/lib/contactlist/libexample-cm-contactlist.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_contacts_SOURCES = contacts.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_contacts_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_contacts_capabilities_SOURCES = contacts-capabilities.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_contacts_capabilities_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_handles_SOURCES = handles.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_handles_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_stateful_proxy_SOURCES = stateful-proxy.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_stateful_proxy_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_streamed_media_chan_SOURCES = streamed-media-chan.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_streamed_media_chan_LDADD = $(LDADD) $(top_builddir)/tests/lib/libtp-glib-tests.la
@ENABLE_TP_GLIB_TESTS_TRUE@test_text_chan_SOURCES = text-chan.cpp
@ENABLE_TP_GLIB_TESTS_TRUE@test_text_chan_LDADD = $(LDADD) \
@ENABLE_TP_GLIB_TESTS_TRUE@                       $(top_builddir)/tests/lib/libtp-glib-tests.la \
@ENABLE_TP_GLIB_TESTS_TRUE@                       $(top_builddir)/tests/lib/echo2/libtp-glib-echo2-tests.la

LDADD = \
    $(QTCORE_LIBS) \
    $(QTDBUS_LIBS) \
    $(QTTEST_LIBS) \
    ${top_builddir}/tests/lib/libtp-qt4-tests.la \
    ${top_builddir}/TelepathyQt4/libtelepathy-qt4.la

AM_CXXFLAGS = \
    $(ERROR_CXXFLAGS)

TESTS_ENV = \
    abs_top_builddir=@abs_top_builddir@ \
    abs_top_srcdir=@abs_top_srcdir@ \
    XDG_DATA_HOME=@abs_top_builddir@/tests \
    XDG_DATA_DIRS=@abs_top_srcdir@/tests

TESTS_ENVIRONMENT = \
    $(TESTS_ENV) \
    sh $(top_srcdir)/tools/with-session-bus.sh \
        --config-file=$(top_builddir)/tests/dbus-1/session.conf --

CLEANFILES = \
    $(BUILT_SOURCES)

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/tools/telepathy-qt4.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/dbus/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/dbus/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
test-account-basics$(EXEEXT): $(test_account_basics_OBJECTS) $(test_account_basics_DEPENDENCIES) 
	@rm -f test-account-basics$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_account_basics_OBJECTS) $(test_account_basics_LDADD) $(LIBS)
test-account-channel-dispatcher$(EXEEXT): $(test_account_channel_dispatcher_OBJECTS) $(test_account_channel_dispatcher_DEPENDENCIES) 
	@rm -f test-account-channel-dispatcher$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_account_channel_dispatcher_OBJECTS) $(test_account_channel_dispatcher_LDADD) $(LIBS)
test-chan-basics$(EXEEXT): $(test_chan_basics_OBJECTS) $(test_chan_basics_DEPENDENCIES) 
	@rm -f test-chan-basics$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_chan_basics_OBJECTS) $(test_chan_basics_LDADD) $(LIBS)
test-chan-group$(EXEEXT): $(test_chan_group_OBJECTS) $(test_chan_group_DEPENDENCIES) 
	@rm -f test-chan-group$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_chan_group_OBJECTS) $(test_chan_group_LDADD) $(LIBS)
test-client$(EXEEXT): $(test_client_OBJECTS) $(test_client_DEPENDENCIES) 
	@rm -f test-client$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_client_OBJECTS) $(test_client_LDADD) $(LIBS)
test-cm-basics$(EXEEXT): $(test_cm_basics_OBJECTS) $(test_cm_basics_DEPENDENCIES) 
	@rm -f test-cm-basics$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_cm_basics_OBJECTS) $(test_cm_basics_LDADD) $(LIBS)
test-conn-basics$(EXEEXT): $(test_conn_basics_OBJECTS) $(test_conn_basics_DEPENDENCIES) 
	@rm -f test-conn-basics$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_conn_basics_OBJECTS) $(test_conn_basics_LDADD) $(LIBS)
test-conn-capabilities$(EXEEXT): $(test_conn_capabilities_OBJECTS) $(test_conn_capabilities_DEPENDENCIES) 
	@rm -f test-conn-capabilities$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_conn_capabilities_OBJECTS) $(test_conn_capabilities_LDADD) $(LIBS)
test-conn-requests$(EXEEXT): $(test_conn_requests_OBJECTS) $(test_conn_requests_DEPENDENCIES) 
	@rm -f test-conn-requests$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_conn_requests_OBJECTS) $(test_conn_requests_LDADD) $(LIBS)
test-conn-roster$(EXEEXT): $(test_conn_roster_OBJECTS) $(test_conn_roster_DEPENDENCIES) 
	@rm -f test-conn-roster$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_conn_roster_OBJECTS) $(test_conn_roster_LDADD) $(LIBS)
test-conn-roster-groups$(EXEEXT): $(test_conn_roster_groups_OBJECTS) $(test_conn_roster_groups_DEPENDENCIES) 
	@rm -f test-conn-roster-groups$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_conn_roster_groups_OBJECTS) $(test_conn_roster_groups_LDADD) $(LIBS)
test-contacts$(EXEEXT): $(test_contacts_OBJECTS) $(test_contacts_DEPENDENCIES) 
	@rm -f test-contacts$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_contacts_OBJECTS) $(test_contacts_LDADD) $(LIBS)
test-contacts-capabilities$(EXEEXT): $(test_contacts_capabilities_OBJECTS) $(test_contacts_capabilities_DEPENDENCIES) 
	@rm -f test-contacts-capabilities$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_contacts_capabilities_OBJECTS) $(test_contacts_capabilities_LDADD) $(LIBS)
test-do-nothing$(EXEEXT): $(test_do_nothing_OBJECTS) $(test_do_nothing_DEPENDENCIES) 
	@rm -f test-do-nothing$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_do_nothing_OBJECTS) $(test_do_nothing_LDADD) $(LIBS)
test-handles$(EXEEXT): $(test_handles_OBJECTS) $(test_handles_DEPENDENCIES) 
	@rm -f test-handles$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_handles_OBJECTS) $(test_handles_LDADD) $(LIBS)
test-stateful-proxy$(EXEEXT): $(test_stateful_proxy_OBJECTS) $(test_stateful_proxy_DEPENDENCIES) 
	@rm -f test-stateful-proxy$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_stateful_proxy_OBJECTS) $(test_stateful_proxy_LDADD) $(LIBS)
test-streamed-media-chan$(EXEEXT): $(test_streamed_media_chan_OBJECTS) $(test_streamed_media_chan_DEPENDENCIES) 
	@rm -f test-streamed-media-chan$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_streamed_media_chan_OBJECTS) $(test_streamed_media_chan_LDADD) $(LIBS)
test-text-chan$(EXEEXT): $(test_text_chan_OBJECTS) $(test_text_chan_DEPENDENCIES) 
	@rm -f test-text-chan$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_text_chan_OBJECTS) $(test_text_chan_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/account-basics.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/account-channel-dispatcher.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chan-basics.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chan-group.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/client.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cm-basics.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-basics.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-capabilities.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-requests.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-roster-groups.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-roster.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/contacts-capabilities.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/contacts.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/do-nothing.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/handles.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stateful-proxy.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/streamed-media-chan.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text-chan.Po@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@am__fastdepCXX_FALSE@	$(AM_V_CXX) @AM_BACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	$(am__tty_colors); \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		col=$$red; res=XPASS; \
	      ;; \
	      *) \
		col=$$grn; res=PASS; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		col=$$lgn; res=XFAIL; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		col=$$red; res=FAIL; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      col=$$blu; res=SKIP; \
	    fi; \
	    echo "$${col}$$res$${std}: $$tst"; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  if test "$$failed" -eq 0; then \
	    echo "$$grn$$dashes"; \
	  else \
	    echo "$$red$$dashes"; \
	  fi; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes$$std"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-local distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-generic clean-libtool clean-noinstPROGRAMS ctags \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-local distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am


_gen/%.moc.hpp: %
	$(AM_V_at)$(mkdir_p) _gen
	$(TPQT4_V_MOC)$(MOC) $(AM_CPPFLAGS) -i $< -o $@

distclean-local:
	rm -rf _gen

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
